Zur Navigation springen

create upload url

Request a presigned URL to upload a local file. PUT the file bytes to the returned uploadUrl with the same Content-Type, then register the file as an asset via POST /v2/assets using the returned url. Single uploads are capped at 5 GiB (5,368,709,120 bytes).

Authentifizierung

x-api-keystring
API-Key-Authentifizierung via Header

Anfrage

This endpoint expects an object.
fileNamestringErforderlich
The name of the file to upload.
contentTypestringErforderlich

The MIME content type of the file (e.g. video/mp4).

sizeintegerErforderlich

The size of the file in bytes. Single uploads are capped at 5 GiB (5,368,709,120 bytes).

Antwort

Presigned upload URL created successfully
uploadUrlstring

The presigned S3 URL to PUT the file bytes to (with the same Content-Type).

urlstring

The final public URL of the file. Register it as an asset via POST /v2/assets once the upload completes.

expiresIninteger
Seconds until the presigned uploadUrl expires.

Fehler

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error